#
# spec file for package python3-drmaa
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-drmaa
Version:        0.7.6
Release:        2.6
License:        BSD-3-Clause
Summary:        A python3 DRMAA library
Url:            https://github.com/drmaa-python/drmaa-python
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/drmaa/drmaa-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Distributed Resource Management Application API <http://en.wikipedia.org/wiki/DRMAA>
(DRMAA) bindings for Python. For more information
read the docs <http://drmaa-python.readthedocs.org>

%prep
%setup -q -n drmaa-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc license.txt README.rst
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Jan 19 2016 t.gruner@katodev.de
-  v0.7.6
  - Fix a typo in ``DictAttribute`` that was causing a crash.
-  v0.7.5
  - Fix an issue where dictionary attributes (like ``jtEnvironment``) could
    encounter ``UnicodeDecodeError`` issues upon assignment.
-  v0.7.4
  - Switch to using preferred encoding from ``locale`` module for converting
    strings to binary. This should prevent some lingering ``UnicodeEncodeError``
    crashes on Python 2.7.
-  v0.7.3
  - Fix a couple crashes when certain functions that expect ``str`` were passed
    integers.
-  v0.7.2
  - Fix a couple inconsistencies with ``str`` vs ``bytes`` in Python 3 in
    ``drmaa.session``.
-  v0.7.1
  - Add `Read The Docs documentation <http://drmaa-python.readthedocs.org>`__
  - Add ``const`` module identifiers back into package namespace
  - Remove ``b`` prefixes from strings inserted into error messages.
-  v0.7.0
  - String attribute issues with Python 3 have all been resolved, and now each
    function that takes a string can handle unicode strings, and returns
    unicode strings.
  - All code has been updated to use future imports for ``unicode_literals``
    and ``print_function``, so we're effectively writing Python 3 code now.
  - PEP8 compliance changes all over the place, except those that would break
    names required by underlying C DRMAA library.
  - Now automatically run unit tests of Travis-CI with SGE, and all tests pass
    for Python 2.6, 2.7, and 3.3.  SGE is installed using scripts I describe
    in `this gist <https://gist.github.com/dan-blanchard/6586533>`__.
  - Unit tests are now in a top-level directory instead of a sub-directory
    under the drmaa package.
  - There is now a `session.py` module that contains most of the code that was
    in ``__init__.py`` before, and ``__init__`` just imports things and sets
    ``__all__`` and ``__version__``, as is typically recommended now.
  - Drops support for Python 2.5.
